apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  name: pipelinerun-with-just-description
spec:
  pipelineSpec:
    description: |
      This pipeline appears to have a good morning task!

      In actuality, even though the pipelinerun will be marked as valid, 
      a yaml indentation mistake means that the pipelineSpec only has a description field

      tasks:
        - name: echo-good-morning
          taskSpec:
            steps:
              - name: echo
                image: mirror.gcr.io/ubuntu
                script: |
                  #!/usr/bin/env bash
                  echo "Good Morning!"
